#ifndef PUGS_CONFIG_HPP
#define PUGS_CONFIG_HPP

#cmakedefine PUGS_HAS_FENV_H
#cmakedefine PUGS_HAS_MPI
#cmakedefine PUGS_HAS_PETSC

#cmakedefine SYSTEM_IS_LINUX
#cmakedefine SYSTEM_IS_DARWIN
#cmakedefine SYSTEM_IS_WINDOWS

#define PUGS_BUILD_TYPE "@CMAKE_BUILD_TYPE@"
#define PUGS_BINARY_DIR "@PUGS_BINARY_DIR@"

#endif   // PUGS_CONFIG_HPP
